# +-------------------------------------------------------+
# | Copyright (c) 2001 Anthony C. D'Agostino              |
# | http://ourworld.compuserve.com/homepages/scorpius     |
# | scorpius@compuserve.com                               |
# | February 3, 2001                                      |
# | Writes the selected mesh to Wavefront OBJ             |
# +-------------------------------------------------------+

import Blender
import math, sys
from Blender import NMesh, Object
from math import *

object = Object.GetSelected()
objname = object[0].name
meshname = object[0].data.name
mesh = NMesh.GetRaw(meshname)

filename = objname+".obj"
file = open(filename, "w")
std=sys.stdout
sys.stdout=file

print "# Blender OBJ Export Script"
print "# Object:", objname
print "# Total Vertices:", len(mesh.verts)
print "# Total Faces:", len(mesh.faces)

for vertex in mesh.verts:
    x, y, z = vertex.co
    print "v %f %f %f" % (x, y, z)

print "g", object[0].name

for face in mesh.faces:
    print "f",
    face.v.reverse()    # Flips all face normals
    for vertex in face.v:
        print vertex.index + 1,
    print

sys.stdout=std
file.close()

#print "\n# Vertex Normals"
#for face in mesh.faces:
#   for vertex in face.v:
#       print "vn", vertex.no[0], vertex.no[1], vertex.no[2]

print "Saved to", filename
